### Method

# GIRepository Repository is_registered

since: 2.80

#### Declaration [src]

    gboolean
    gi_repository_is_registered (
      GIRepository* repository,
      const char* namespace_,
      const char* version
    )

#### Description [src]

Check whether a particular namespace (and optionally, a specific version thereof) is currently loaded.

This function is likely to only be useful in unusual circumstances; in order to act upon metadata in the namespace, you should call `gi_repository_require()` instead which will ensure the namespace is loaded, and return as quickly as this function will if it has already been loaded.

Available since: 2.80

#### Parameters

`namespace_`

  Type: `const char*`

  Namespace of interest.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`version`

  Type: `const char*`

  Required version, may be `NULL` for latest.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if namespace-version is loaded, `FALSE` otherwise.